window.screenOrientation = "portrait";
loadLib("libs/laya.core.min.js");
loadLib("libs/laya.d3.min.js");
loadLib("libs/laya.ui.min.js");
loadLib("libs/androidUtil.js");
loadLib("libs/laya.physics3D.min.js");


loadLib("js/bundle.js");

window.curLang = "en";
if (window.YaGames) {
    YaGames.init().then(ysdk => {
        console.log('Yandex SDK initialized');
        window.ysdk = ysdk;
        if (ysdk.environment.i18n.lang == "ru") {
            window.curLang = "ru";
        } else if (ysdk.environment.i18n.lang == "tr") {
            window.curLang = "tr";
        } else {
            window.curLang = "en";
        }
        //loadLib("./js/bundle.js");
    });
} else {
    window.curLang = "ru";
    //loadLib("./js/bundle.js");
}

window.getLangImage = function(url) {
    let res = url;
    let imageMap = ["text_chexiao", "text_youwin"]
    for (let index = 0; index < this.imageMap.length; index++) {
        let key = this.imageMap[index];
        let name = `/${key}.png`;
        if (url.indexOf(name) > 0) {
            let langEnd = window.curLang == "ru" ? "_ru" : (this.langType == "tr" ? "_tr" : "_en");
            let replaceName = `/${key}${langEnd}.png`
            res = url.replace(name, replaceName);
            break;
        }
    }
    return res;
}

window.createLabel = function(text, attr) {
    var label = new Laya.Label();
    label.text = text;
    label.name = attr && attr.name ? attr.name : "";
    label.color = attr && attr.color ? attr.color : "#ffffff";
    label.fontSize = attr && attr.fontSize ? attr.fontSize : 20;
    if (attr.bold) {
        label.bold = true;
    }
    if (attr.stroke) {
        label.stroke = attr.stroke;
    }
    return label;
}

window.showToast = function(title) {
    Laya.stage.removeChild(Laya.stage.getChildByName("showToast"));
    var bgimg = new Laya.Image("bg_toast.png");
    bgimg.name = "showToast";
    var lal = new Laya.Label(title);
    lal.centerY = 0;
    lal.width = 600;
    lal.fontSize = 28;
    lal.bold = true;
    lal.font = "YaHei";
    lal.color = "#ffffff";
    lal.align = "center";
    lal.valign = "middle";
    lal.overflow = "hidden";
    lal.centerX = 0;
    bgimg.centerX = 0;
    bgimg.centerY = -200;
    bgimg.zOrder = 99999;
    bgimg.addChild(lal);
    Laya.stage.addChild(bgimg);
    Laya.timer.once(2500, Laya.stage, function s() {
        bgimg.visible = false;
        bgimg.removeChildren();
        Laya.stage.removeChild(bgimg);
    });
}
window.lastInterstTime = 0;
window.lastVideoTime = 0;
window.showInterAdd = 0;
window.maxInterAdd = 0;
window.showVivoInterst = function() {
    console.log("===showVivoInterst")
    let now = Date.now()
    let inter = 60000 + window.showInterAdd;
    if (inter > 90000) {
        inter = 90000
    }
    if (now - window.lastInterstTime < (inter)) {
        return;
    }
    if (window["ysdk"]) {
        if (window["ysdk"]) {
            window["ysdk"].adv.showFullscreenAdv({
                callbacks: {
                    onOpen: function() {
                        window.showInterAdd += 3000;
                        window.lastInterstTime = Date.now();
                        Laya.SoundManager.muted = true;
                    },
                    onClose: function(wasShown) {
                        Laya.SoundManager.muted = false;
                    },
                    onError: function(error) {}
                }
            })
        }
    }
}

window.showRewardAds = function(cb, s) {
    console.log("====showRewardAds")
    let now = Date.now()
    if (now - window.lastVideoTime < 3000) {
        return;
    }
    let isGetReward = false;
    awardVideo(s,()=>{
        window.showToast(window.getLangByKey("video_success"))
        cb();
         },
     (error)=>{
         console.log('Error while open video ad:', error);
        })
    // if (window["ysdk"]) {
    //     window["ysdk"].adv.showRewardedVideo({
    //         callbacks: {
    //             onOpen: () => {
    //                 Laya.SoundManager.muted = true;
    //             },
    //             onRewarded: () => {
    //                 isGetReward = true;
    //             },
    //             onClose: () => {
    //                 Laya.SoundManager.muted = false;
    //                 if (isGetReward) {
    //                     window.showToast(window.getLangByKey("video_success"))
    //                     cb();
    //                 } else {
    //                     close();
    //                 }
    //                 window.lastVideoTime = Date.now();
    //             },
    //             onError: (e) => {
    //                 close();
    //                 window.showToast(window.getLangByKey("video_fail"))
    //             }
    //         }
    //     })
    // } else {
    //     setTimeout(() => {
    //         window.showToast(window.getLangByKey("video_success"))
    //         cb();
    //     }, 2000);
    // }
}

window.getLangByKey = function(enkey) {
    let curIndex = 0;
    if (window["curLang"] == "ru") {
        curIndex = 1;
    } else if (window["curLang"] == "tr") {
        curIndex = 2;
    }
    let keys = {
        "NoCoin": ["Not Enough Coin", "金币不够", "Yeterli değil"],
        "Fail": ["Fail", "失败", "Başarısızlık"],
        "Reward": ["Reward ", "奖励 ", "ödüllendir"],
        "video_success": ["Get video rewards!", "获得视频奖励", "Video ödülleri alın!"],
        "video_fail": ["Video is wrong, please try later!", "没有视频,请稍后再试", "video yanlış lütfen daha sonra deneyiniz"],
        "get_sign_reward": ["Sign in successfully!", "登录成功!", "Başarıyla oturum açın!"],
        "get_three_more": [" Choose three more box", "再选三个盒子", "Üç kutu seç"],
        "hurt": ["Hurt", "伤害", "Acıtmak"],
        "speed": ["Speed", "速度", "Hız"],
        "range": ["Range", "范围", "Aralık"],
        "max": ["MAX", "满级", "MAKS."],
        "unlock": ["Unlock", "解锁", "Kilidini aç"],
        "pass": ["Pass", "通过", "geçmek"],
        "start_game": ["Play", "开始", "Oyna"],
        "level": ["Level: ", "等级: ", "Seviye: "],
        "winget": ["Win the game to get", "赢得比赛获得", "almak için oyunu kazanmak"],
        "clickthrow": ["Click and Throw Disc", "按下并丢出", "Tıkla ve Diski At"],
        "leftandright": ["Slide to adjust the angle", "滑动调整角度", "Kaydırma açısını ayarlayın"],
        "downcancle": ["slide down to cancel", "向下滑动取消", "aşağı kaydır iptal et"],
        "next": ["Next", "下一个", "Sonraki"],
        "box": ["From box", "从盒子", "kutudan"],
        "maxsocre": ["Max:", "最高:", "Maks:"],
        "costtime": ["Time:", "时间:", "Zaman:"],
        "maxlength": ["Max Length:", "最长:", "Max Uzunluk:"],
        "bestscore": ["Save score to leaderboard", "将分数保存到排行榜", "Skor tablosuna puan kaydet"],
        "kouhong": ["lipstick", "口红", "ruj uygula"],
        "gift_title": ["Gift Exchange", "礼物交换", "Hediye değişimi"],
        "gift_enter": ["Enter Gift Code", "请输入礼品码", "Hediye Kodunu Girin"],
        "gift_code": ["Gift Code", "礼品代码", "Hediye Kodu"],
        "code_wrong": ["code wrong or exchanged", "代码不正确", "kod yanlış veya değiştirildi"],
        "cut": ["削弱: ", "削弱: ", "削弱: "],
        "win": ["胜利", "胜利", "胜利"],
    }
    if (!keys[enkey]) {
        return enkey
    }
    console.log()
    return " " + keys[enkey][curIndex];
}